BPRINTF(9)

NAME
bprintf - Parse a format string and place args' binary value in a buffer

SYNOPSIS

int bprintf(u32 * bin_buf, size_t size, const char * fmt, ...);

ARGUMENTS

bin_buf
    The buffer to place args' binary value

size
    The size of the buffer(by words(32bits), not characters)

fmt
    The format string to use @...: Arguments for the format string

...
    variable arguments

DESCRIPTION

The function returns the number of words(u32) written into bin_buf.

COPYRIGHT